%define rev git20160301

Name: aufs-tools
Version: 4.4
Release: %mkrel -c %{rev} 1

Group: System/Base
Summary: Tools to manage aufs filesystems
License: GPLv2+
Url: http://aufs.sourceforge.net

# git clone git://git.code.sf.net/p/aufs/aufs-util aufs-util
# cd aufs-util
# git checkout aufs4.x-rcN
# git archive HEAD --prefix=aufs-util/ | xz > ../SOURCES/aufs-tools-%{version}-%{rev}.tar.xz
Source0: %{name}-4.0-%{rev}.tar.xz
Patch0:  %{name}-3.14-deb-static.patch
Patch1:  %{name}-3.14-deb-manpage.patch
Patch2:  aufs-util-fix-AuVersionGitBranch.patch
Patch3:  aufs-util-fix-version-check.patch
BuildRequires: kernel-userspace-headers >= 4.4.4-1

%description
These utilities are always necessary for aufs.
The aufs driver provides a unification file system for the Linux kernel. It
allows one to virtually merge the contents of several directories and/or stack
them, so that apparent file changes in the aufs end in file changes in only one
of the source directories.
This package contains utilities needed to configure aufs containers on-the-fly.

%prep
%setup -q -n aufs-util
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

sed -i 's|-o root -g root||g' Makefile
sed -i '/install_ulib: Tgt/ s,/usr/lib,%{_libdir},' fhsm/Makefile
sed -i '/install_ulib: Tgt/ s,/usr/lib,%{_libdir},' libau/Makefile
sed -i '/install_sbin: Tgt/ s,/sbin,%{_sbindir},' Makefile
sed -i 's|/sbin|%{_sbindir}|g' README aufs.in.5 aubrsync
sed -i 's|sudo ||g' aufs.in.5 aubrsync aufs.shlib
make clean

%build
%make

%install
%makeinstall DESTDIR=%{buildroot}

%files
%doc README
%config(noreplace) %{_sysconfdir}/default/aufs
%{_bindir}/*
%{_libdir}/*
%{_sbindir}/*
%{_mandir}/man*/*.*


%changelog
* Sun Mar 06 2016 tmb <tmb> 4.4-0.git20160301.1.mga5
+ Revision: 986262
- require 4.4 series kernel-userspace-headers
- update to support kernel 4.4
- update to 4.0 branch, checkout 20151005

* Mon Feb 23 2015 tmb <tmb> 3.14-0.git20150126.1.mga5
+ Revision: 816610
- update to aufs3.14 brach (supports kernels up to 3.19)

* Sat Jan 03 2015 alexl <alexl> 3.2-0.git20130722.1.mga5
+ Revision: 808331
- imported package aufs-tools

